/*
======================================================
====      Java Classes For Genetic Algorithms     ====
==== (c) Marek Obitko, 1998-1999, obitko@email.cz ====
======================================================

This file is a part of Java library for genetic algorithms with 
visualization. You may use this library or its part free of charge
provided you acknowledge the author (Marek Obitko), and the source 
(Learning Environment for Genetic Algorithms, one of the URLs 
below) in your work where you use it (contact the author, if you 
are in doubt). Moreover I would appreciate if you inform me 
(via email) about your work where you used it 
(this is not compulsory).

THIS LIBRARY IS PROVIDED "AS IS", WITHOUT ANY WARRANTY.

This package was designed for learning environment for GAs, see
http://cs.felk.cvut.cz/~xobitko/ga  or

Author is studying Czech Technical University in Prague, 
Faculty of Electrical Engineering, Department of Computer Engineering.
Major part of this library was written at University of Applied Sciency
in Dresden, Germany.
*/

/** Initializes (creates) creature. Used for GA developing movement. 
  * @see WalkGA
  * <p>
  * @author Marek Obitko, <A HREF="mailto:obitko@email.cz">obitko@email.cz</A>
  * @version 1.0
  */
class CreatureInfo
{
  
  public CreatureInfo()
  {
  }
  
  /** Reads and creates new creature. */
  public Creature readCreature()
  {
    Joint.nullIdCount();
    Creature c=new Creature();
    
    c.addJoint(0, new Joint(0,360,60));
    c.addJoint(1, new Joint(0,360,60));
    //c.addJoint(2, new Joint(0,360,60));
    //c.addJoint(3, new Joint(0,360,60));

    //c.addJoint(0, new Joint(-200,-70,60));
    //c.addJoint(0, new Joint(-110,20,60));
    
    /*c.addJoint(0, new Joint(-180,-90,60));
    c.addJoint(0, new Joint(-90,0,60));
    c.addJoint(1, new Joint(50,130,30));
    c.addJoint(2, new Joint(-50,-130,30)); */
    
    /*c.addJoint(2, new Joint(10,30,30));
    c.addJoint(3, new Joint(10,30,30));
    c.addJoint(4, new Joint(10,30,30));
    c.addJoint(5, new Joint(10,30,30));
    c.addJoint(6, new Joint(10,30,30));
    c.addJoint(7, new Joint(10,30,30));
    c.addJoint(8, new Joint(10,30,30));
    c.addJoint(9, new Joint(10,30,30));
    c.addJoint(10, new Joint(10,30,30));
    c.addJoint(11, new Joint(10,30,30));
    c.addJoint(12, new Joint(10,30,30));
    c.addJoint(13, new Joint(10,30,30));
    c.addJoint(14, new Joint(10,30,30));
    c.addJoint(15, new Joint(10,30,30));
    c.addJoint(16, new Joint(10,30,30));
    c.addJoint(17, new Joint(10,30,30));
    c.addJoint(18, new Joint(10,30,30));
    c.addJoint(19, new Joint(-10,-30,10));
    c.addJoint(20, new Joint(-10,-30,10));
    c.addJoint(21, new Joint(-10,-30,10));
    c.addJoint(22, new Joint(-10,-30,10));
    c.addJoint(23, new Joint(-10,-30,10));
    c.addJoint(24, new Joint(-10,-30,10));
    c.addJoint(25, new Joint(-10,-30,10));
    c.addJoint(26, new Joint(-10,-30,10));
    c.addJoint(27, new Joint(-10,-30,10));
    c.addJoint(28, new Joint(-10,-30,10));
    c.addJoint(29, new Joint(-10,-30,10));
    c.addJoint(30, new Joint(-10,-30,10));
    c.addJoint(31, new Joint(-10,-30,10));
    c.addJoint(32, new Joint(-10,-30,10));
    c.addJoint(33, new Joint(-10,-30,10));
    c.addJoint(34, new Joint(-10,-30,10));
    c.addJoint(35, new Joint(-10,-30,10));
    c.addJoint(36, new Joint(-10,-30,10));
    c.addJoint(37, new Joint(-10,-30,10));
    c.addJoint(38, new Joint(-10,-30,10));*/
    return c;
  }
  
}
  