/*
======================================================
====      Java Classes For Genetic Algorithms     ====
==== (c) Marek Obitko, 1998-1999, obitko@email.cz ====
======================================================

This file is a part of Java library for genetic algorithms with 
visualization. You may use this library or its part free of charge
provided you acknowledge the author (Marek Obitko), and the source 
(Learning Environment for Genetic Algorithms, one of the URLs 
below) in your work where you use it (contact the author, if you 
are in doubt). Moreover I would appreciate if you inform me 
(via email) about your work where you used it 
(this is not compulsory).

THIS LIBRARY IS PROVIDED "AS IS", WITHOUT ANY WARRANTY.

This package was designed for learning environment for GAs, see
http://cs.felk.cvut.cz/~xobitko/ga  or

Author is studying Czech Technical University in Prague, 
Faculty of Electrical Engineering, Department of Computer Engineering.
Major part of this library was written at University of Applied Sciency
in Dresden, Germany.
*/


/** Defines function of which the minimum is looked for in genetic algorithm.
  * Change this function to work on other one.
  * @see GraphCanvas
  * <p>
  * @author Marek Obitko, <A HREF="mailto:obitko@email.cz">obitko@email.cz</A>
  * @version 1.0
  */
public class Function
{

  /** Returns value of function with parameter x. */
  public static int value(long x)
    // !!! parametr 0..690, result 0..140 - depends on GraphCanvas
  {
    int val;   
 
    val = (int) (110.0 - Math.abs((x-280.0)/5.0) + Math.sin(x/2.0)*10.0 + Math.cos(x/5.0)*5.0);
    //val = (int) (140*x/690);
    
    return val;
  }
  
}